dmmp_path_blk_name_get(3)

NAME
dmmp_path_blk_name_get - Retrieve block name.

SYNOPSIS
const char * dmmp_path_blk_name_get (struct dmmp_path *dmmp_p);

ARGUMENTS

dmmp_p
    Pointer of 'struct dmmp_path'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve block name of certain path. The example of block names are "sda", "nvme0n1".

RETURN
const char *. No need to free this memory, the resources will get freed when dmmp_mpath_array_free.